<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".Fragments.ForgotPswrdFragment">


    <TextView
        android:id="@+id/title1"
        style="@style/first_title"
        android:text="@string/rende_rendv_autre_c"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <TextView
        android:id="@+id/title2"
        style="@style/second_title"
        android:layout_marginTop="@dimen/default_padding"
        android:text="@string/recup_rendv_titiel2"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/title1" />

    <androidx.cardview.widget.CardView
        android:id="@+id/cardView2"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_marginHorizontal="20dp"
        android:elevation="30dp"
        app:cardCornerRadius="16dp"
        app:cardElevation="30dp"
        app:layout_constraintBottom_toBottomOf="@+id/cardView"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/title2">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="10dp"
            android:orientation="vertical">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="10dp"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/txt_date"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="0.11"
                    android:drawableStart="@drawable/ic_calendar"
                    android:drawablePadding="6dp"
                    android:fontFamily="sans-serif-medium"
                    android:padding="10dp"
                    android:text="Date"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    android:textStyle="normal" />

                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_toEndOf="@+id/txt_date"
                    app:boxBackgroundMode="outline"
                    app:boxCornerRadiusBottomEnd="25dp"
                    app:boxCornerRadiusBottomStart="25dp"
                    app:boxCornerRadiusTopEnd="25dp"
                    app:boxCornerRadiusTopStart="25dp"
                    app:boxStrokeColor="@color/disabled">

                    <AutoCompleteTextView
                        android:id="@+id/dropdown_date"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:drawableEnd="@drawable/ic_down"
                        android:fontFamily="sans-serif-medium"
                        android:gravity="center"
                        android:inputType="none"
                        android:padding="1dp"
                        android:text="CALENDRIER"
                        android:textAllCaps="true"
                        android:textColor="@color/disabled" />
                </com.google.android.material.textfield.TextInputLayout>


            </LinearLayout>


            <View
                style="@style/view_lien"/>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="10dp"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="0.11"
                    android:drawableStart="@drawable/ic_time"
                    android:drawablePadding="6dp"
                    android:fontFamily="sans-serif-medium"
                    android:padding="10dp"
                    android:text="Préference"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    android:textStyle="normal" />

                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="165dp"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_toEndOf="@+id/txt_pre"
                    app:boxBackgroundMode="outline"
                    app:boxCornerRadiusBottomEnd="25dp"
                    app:boxCornerRadiusBottomStart="25dp"
                    app:boxCornerRadiusTopEnd="25dp"
                    app:boxCornerRadiusTopStart="25dp"
                    app:boxStrokeColor="@color/disabled">

                    <AutoCompleteTextView
                        android:id="@+id/dropdown_activete"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:drawableEnd="@drawable/ic_down"
                        android:gravity="center"
                        android:inputType="none"
                        android:padding="1dp"
                        android:text="matin"
                        android:textAllCaps="true"
                        android:textColor="@color/disabled" />
                </com.google.android.material.textfield.TextInputLayout>

            </LinearLayout>


        </LinearLayout>

    </androidx.cardview.widget.CardView>

    <RelativeLayout
        android:id="@+id/cardView"
        android:layout_width="match_parent"
        android:layout_height="251dp"
        android:layout_marginBottom="16dp"
        android:background="@drawable/radius_left_right"
        app:layout_constraintBottom_toTopOf="@+id/btn_next"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.cardview.widget.CardView
                android:layout_width="1000dp"
                android:layout_height="1000dp"
                android:alpha="0.03"
                android:background="@color/white"
                android:translationX="-600dp"
                android:translationY="50dp"
                app:cardCornerRadius="500dp"
                app:cardElevation="0dp" />


        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.cardview.widget.CardView
                android:layout_width="1000dp"
                android:layout_height="1000dp"
                android:alpha="0.03"
                android:background="@color/white"
                android:translationX="50dp"
                android:translationY="150dp"
                app:cardCornerRadius="400dp"
                app:cardElevation="0dp" />

        </LinearLayout>

    </RelativeLayout>

    <ImageView
        android:id="@+id/img_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:padding="20dp"
        android:src="@drawable/ic_back"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent" />


    <TextView
        android:id="@+id/btn_next"
        style="@style/btn_next"
        android:layout_margin="@dimen/default_padding"
        android:text="Voir les créneaux"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />


</androidx.constraintlayout.widget.ConstraintLayout>